Ruby syntax incorrectly flagged as error.

After I installed the RC (build 873), the following code was flagged as an error:

-2.upto 0 do ...

It appears that it doesn't like the line starting with "-".

2 comments
Comment actions Permalink

Hello,

After I installed the RC (build 873), the following code was flagged as an error:


-2.upto 0 do ...


It appears that it doesn't like the line starting with "-".

Thanks for the issue, I've filled a bug: http://www.jetbrains.net/jira/browse/RUBY-3827

Regards,
Oleg

0
Comment actions Permalink

The problem was fixed a while ago, fixed version coming soon.

Best regards,
Oleg

0

Please sign in to leave a comment.